<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>RolePermissionDAO</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RolePermissionDAO";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RolePermissionDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">model.DAO</a></div>
<h2 title="Class RolePermissionDAO" class="title">Class RolePermissionDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="DAO.html" title="class in model.DAO">model.DAO.DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</li>
<li>
<ul class="inheritance">
<li>model.DAO.RolePermissionDAO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">RolePermissionDAO</span>
extends <a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</pre>
<div class="block">RolePermissionDAO, inherits DAO class, is used to get role permission data from database</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.model.DAO.DAO">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;model.DAO.<a href="DAO.html" title="class in model.DAO">DAO</a></h3>
<code><a href="DAO.html#conn">conn</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">RolePermissionDAO</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#create(model.classes.RolePermission)">create</a></span>&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Abstract method use to create data</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(model.classes.RolePermission)">delete</a></span>&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Abstract method use to delete data</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#read(java.lang.String)">read</a></span>&#8203;(java.lang.String&nbsp;pk)</code></th>
<td class="colLast">
<div class="block">Abstract method use to read data</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#readWithPermission(java.lang.String,java.lang.String)">readWithPermission</a></span>&#8203;(java.lang.String&nbsp;pk_role,
                  java.lang.String&nbsp;fk_permission)</code></th>
<td class="colLast">
<div class="block">Get a role permission from the database</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#recupAll()">recupAll</a></span>()</code></th>
<td class="colLast">
<div class="block">Abstract method use to get all data</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(model.classes.RolePermission)">update</a></span>&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Abstract method use to update data</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RolePermissionDAO</h4>
<pre>public&nbsp;RolePermissionDAO()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="recupAll()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recupAll</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;&nbsp;recupAll()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="DAO.html#recupAll()">DAO</a></code></span></div>
<div class="block">Abstract method use to get all data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DAO.html#recupAll()">recupAll</a></code>&nbsp;in class&nbsp;<code><a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list of object</dd>
</dl>
</li>
</ul>
<a id="create(model.classes.RolePermission)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;create&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="DAO.html#create(T)">DAO</a></code></span></div>
<div class="block">Abstract method use to create data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DAO.html#create(T)">create</a></code>&nbsp;in class&nbsp;<code><a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - Instance object of the class T</dd>
</dl>
</li>
</ul>
<a id="read(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre class="methodSignature">public&nbsp;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;read&#8203;(java.lang.String&nbsp;pk)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="DAO.html#read(java.lang.String)">DAO</a></code></span></div>
<div class="block">Abstract method use to read data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DAO.html#read(java.lang.String)">read</a></code>&nbsp;in class&nbsp;<code><a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pk</code> - String : Primary key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An object</dd>
</dl>
</li>
</ul>
<a id="update(model.classes.RolePermission)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;update&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="DAO.html#update(T)">DAO</a></code></span></div>
<div class="block">Abstract method use to update data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DAO.html#update(T)">update</a></code>&nbsp;in class&nbsp;<code><a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - Instance object of the class T</dd>
</dl>
</li>
</ul>
<a id="delete(model.classes.RolePermission)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;delete&#8203;(<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;obj)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="DAO.html#delete(T)">DAO</a></code></span></div>
<div class="block">Abstract method use to delete data</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DAO.html#delete(T)">delete</a></code>&nbsp;in class&nbsp;<code><a href="DAO.html" title="class in model.DAO">DAO</a>&lt;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - Instance object of the class T</dd>
</dl>
</li>
</ul>
<a id="readWithPermission(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>readWithPermission</h4>
<pre class="methodSignature">public&nbsp;<a href="../classes/RolePermission.html" title="class in model.classes">RolePermission</a>&nbsp;readWithPermission&#8203;(java.lang.String&nbsp;pk_role,
                                         java.lang.String&nbsp;fk_permission)</pre>
<div class="block">Get a role permission from the database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pk_role</code> - A role key</dd>
<dd><code>fk_permission</code> - A permission key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A role permission</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RolePermissionDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
